package training.rmi.hello;

import java.rmi.Naming;
import java.rmi.RemoteException;
import java.rmi.RMISecurityManager;
import java.rmi.server.UnicastRemoteObject;

public class HelloImpl
//	extends UnicastRemoteObject
	implements Hello {

    private int defaultlang;
    static private final boolean trace=true;
    
    public HelloImpl(int defaultlang) throws RemoteException {
        super();
        this.defaultlang=defaultlang;
    	if(trace) System.err.println("HelloImpl()");
    }

    public String sayHello() {
    	if(trace) System.err.println("sayHello()"); 
        return  sayHello(null, defaultlang);
    }
    
    public String sayHello(String name) {
    	if(trace) System.err.println("sayHello(String name)");
        return  sayHello(name, defaultlang);
    }
    
    public String sayHello(String name, int lang) {
    	if(trace) System.err.println("sayHello(String name, int lang)");
        switch(lang) {     	
        	case Hello.EN : break;
        	case Hello.FR : break;
        	case Hello.ES : break;
        	default : lang=Hello.EN;
        }
        switch(lang) {
        	case Hello.EN :
	       		return "Hello " +((name==null) ? "World" : name) + " !";        	
        	case Hello.FR :
        		return "Bonjour " +((name==null) ? "tout le monde" : name) + " !";        	
        	case Hello.ES :
        		return "Hola " +((name==null) ? "todo el mundo" : name) + " !";        	
         	default : 
        		return null;        	
        }
    }
}
